Subject: Re: building bash-2.03?
From: Earnie Boyd <[email-masked]>
To: David Starks-Browning <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Mon, 12 Jul 1999 10:24:02 -0700 (PDT)

--- David Starks-Browning <[email-masked]> wrote:
> Greetings,
> 
> This is cygwin B20.1 with 1999-01-15 snapshot of cygwin1.dll, on
> NT4/SP5.  Trying to build bash-2.03 (release).
> 
> Background: Now that I am trying to get "real work done" in bash under
> cygwin, I can no longer tolerate that bash cannot read its
> .bash_history file.  (I have, and wish to keep, text != binary
> mounts under cygwin.)
> 
> I thought I could apply Mark Levedahl's patch (Ref:
> <http://sourceware.cygnus.com/ml/cygwin/1999-05/msg00638.html>) to
> bash-2.03.  I thought I had read elsewhere that bash builds
> out-of-the-box on cygwin, but I got almost nowhere:
> 
> > ./configure
> > -----------
> > creating cache ./config.cache
> > configure: error: can not run ./support/config.sub
> 
> Has anyone else built bash-2.03 successfuly for cygwin?  Is there
> something special I need to do, or should I start looking for problems
> in my cygwin setup?  (I've built other gnu software in the past
> without difficulty.)
> 

I just last week successfully built bash-2.03 and had not one bit of problem. 
However I did _not_ run the configure script in the source directory.  My
standard is to have this directory structure:

/prj/src/bash-2.03
/prj/obj/bash-2.03

Then I

cd /prj/obj/bash-2.03
/prj/src/bash-2.03/configure --prefix=/install/bash-2.03
--srcdir=/prj/src/bash-2.03
make

> Thanks for your help.

You're welcome,
===
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]